"use strict";
// *******************************************************************************
//  * Copyright 2023 Adobe
//  *
//  * Licensed under the Apache License, Version 2.0 (the “License”);
//  * you may not use this file except in compliance with the License.
//  * You may obtain a copy of the License at
//  *
//  *     http://www.apache.org/licenses/LICENSE-2.0
//  *
//  * Unless required by applicable law or agreed to in writing, software
//  * distributed under the License is distributed on an “AS IS” BASIS,
//  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  * See the License for the specific language governing permissions and
//  * limitations under the License.
//  ******************************************************************************
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const af_react_renderer_1 = require("@aemforms/af-react-renderer");
const Accordion_1 = require("./Accordion");
const Item = (props) => {
    const { onAdd, onRemove, isRepeatable, showAddButton, showDeleteButton } = props;
    // @ts-ignore
    const { mappings } = (0, react_1.useContext)(af_react_renderer_1.FormContext);
    const { onToggle, activePanel } = (0, react_1.useContext)(Accordion_1.AccordionContext);
    const getChild = (0, react_1.useCallback)((child) => {
        const Comp = (0, af_react_renderer_1.getRenderer)(child, mappings);
        return Comp ? react_1.default.createElement(Comp, { key: `${child.id}-child`, ...child }) : (null);
    }, []);
    return (react_1.default.createElement("div", { className: "cmp-accordion__item", "data-cmp-hook-accordion": "item", id: `${props.id}-widget` },
        react_1.default.createElement("h3", { className: "cmp-accordion__header" },
            react_1.default.createElement("button", { "aria-controls": `${props.id}`, role: 'button', id: `${props.id}-button`, "data-cmp-hook-accordion": "button", type: "button", onClick: () => onToggle(props.id), className: `cmp-accordion__button ${activePanel === props.id ? 'cmp-accordion__button--expanded' : ''}`, "aria-expanded": activePanel === props.id ? 'true' : 'false' },
                react_1.default.createElement("span", { className: "cmp-accordion__title" }, props?.label?.value),
                react_1.default.createElement("span", { className: "cmp-accordion__icon" })),
            isRepeatable ? (react_1.default.createElement("div", { className: "cmp-accordion__repeatable-buttons", "data-cmp-hook-adaptiveformaccordion": "repeatableButton" },
                showAddButton &&
                    react_1.default.createElement("button", { className: "cmp-accordion__add-button", type: "button", "data-cmp-visible": "true", onClick: onAdd }),
                showDeleteButton &&
                    react_1.default.createElement("button", { className: "cmp-accordion__remove-button", type: "button", "data-cmp-visible": "true", onClick: onRemove }))) : null),
        react_1.default.createElement("div", { className: `cmp-accordion__panel cmp-accordion__panel--${activePanel === props.id ? 'expanded' : 'hidden'}`, "data-cmp-hook-adaptiveformaccordion": "panel", id: `${props.id}-panel`, role: "region", "aria-labelledby": `${props.id}-button`, "aria-hidden": activePanel === props.id ? 'false' : 'true' }, activePanel !== null ? getChild(props) : null)));
};
exports.default = Item;
