"use strict";
// *******************************************************************************
//  * Copyright 2023 Adobe
//  *
//  * Licensed under the Apache License, Version 2.0 (the “License”);
//  * you may not use this file except in compliance with the License.
//  * You may obtain a copy of the License at
//  *
//  *     http://www.apache.org/licenses/LICENSE-2.0
//  *
//  * Unless required by applicable law or agreed to in writing, software
//  * distributed under the License is distributed on an “AS IS” BASIS,
//  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  * See the License for the specific language governing permissions and
//  * limitations under the License.
//  ******************************************************************************
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const withRuleEngine_1 = require("../utils/withRuleEngine");
const FieldWrapper_1 = __importDefault(require("./common/FieldWrapper"));
const utils_1 = require("../utils/utils");
const CheckBox = (props) => {
    const { id, label, enum: enums, required, value, name, readOnly, enabled, visible, appliedCssClassNames, valid } = props;
    const selectedValue = enums?.[0];
    const unSelectedValue = (enums?.length || 0) < 2 ? null : enums?.[1];
    const handleChange = (0, react_1.useCallback)((e) => {
        const val = e.target.checked ? selectedValue : unSelectedValue;
        props.dispatchChange(val);
    }, [props.dispatchChange]);
    return (react_1.default.createElement("div", { className: `cmp-adaptiveform-checkbox cmp-adaptiveform-checkbox--${selectedValue === value ? 'filled' : 'empty'} ${appliedCssClassNames || ''}`, "data-cmp-is": "adaptiveFormCheckBox", "data-cmp-visible": visible, "data-cmp-enabled": enabled, "data-cmp-required": required, "data-cmp-valid": valid },
        react_1.default.createElement(FieldWrapper_1.default, { bemBlock: 'cmp-adaptiveform-checkbox', label: label, id: id, tooltip: props.tooltip, description: props.description, isError: props.isError, errorMessage: props.errorMessage, onlyQuestionMark: true },
            react_1.default.createElement("div", { className: "cmp-adaptiveform-checkbox__widget-container" },
                react_1.default.createElement("input", { id: `${id}-widget`, type: 'checkbox', className: 'cmp-adaptiveform-checkbox__widget', onChange: handleChange, value: value, checked: selectedValue === value ? true : false, name: name, required: required, readOnly: readOnly, disabled: !enabled, "aria-checked": selectedValue === value ? 'true' : 'false', "aria-invalid": !valid, "aria-describedby": (0, utils_1.syncAriaDescribedBy)(id, props.tooltip, props.description, props.errorMessage) }),
                label?.visible && react_1.default.createElement("label", { className: "cmp-adaptiveform-checkbox__label", htmlFor: `${id}-widget` }, label?.value)))));
};
exports.default = (0, withRuleEngine_1.withRuleEngine)(CheckBox);
