"use strict";
// *******************************************************************************
//  * Copyright 2023 Adobe
//  *
//  * Licensed under the Apache License, Version 2.0 (the “License”);
//  * you may not use this file except in compliance with the License.
//  * You may obtain a copy of the License at
//  *
//  *     http://www.apache.org/licenses/LICENSE-2.0
//  *
//  * Unless required by applicable law or agreed to in writing, software
//  * distributed under the License is distributed on an “AS IS” BASIS,
//  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  * See the License for the specific language governing permissions and
//  * limitations under the License.
//  ******************************************************************************
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const ResponsiveGrid_1 = __importDefault(require("./ResponsiveGrid"));
const withRuleEngine_1 = require("../utils/withRuleEngine");
const Form = function (props) {
    return (react_1.default.createElement("div", { className: 'cmp cmp-adaptiveform-container' },
        react_1.default.createElement("form", { className: 'cmp-adaptiveform-container cmp-container', "data-cmp-is": "adaptiveFormContainer" },
            react_1.default.createElement("div", { className: `cmp-adaptiveform-container__wrapper ${props.gridClassNames || ''}` },
                props?.label?.value ? react_1.default.createElement("h2", null, props.label.value) : null,
                react_1.default.createElement(ResponsiveGrid_1.default, { ...props })))));
};
exports.default = (0, withRuleEngine_1.withRuleEnginePanel)(Form);
