"use strict";
// *******************************************************************************
//  * Copyright 2023 Adobe
//  *
//  * Licensed under the Apache License, Version 2.0 (the “License”);
//  * you may not use this file except in compliance with the License.
//  * You may obtain a copy of the License at
//  *
//  *     http://www.apache.org/licenses/LICENSE-2.0
//  *
//  * Unless required by applicable law or agreed to in writing, software
//  * distributed under the License is distributed on an “AS IS” BASIS,
//  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  * See the License for the specific language governing permissions and
//  * limitations under the License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
//  * The BEM markup is as per the AEM core form components guidelines.
//  * LINK- https://github.com/adobe/aem-core-forms-components/blob/master/ui.af.apps/src/main/content/jcr_root/apps/core/fd/components/form/panelcontainer/v1/panelcontainer/panelcontainer.html
//  ******************************************************************************
const react_1 = __importDefault(require("react"));
const withRuleEngine_1 = require("../utils/withRuleEngine");
const LabelWithDescription_1 = __importDefault(require("./common/LabelWithDescription"));
const ResponsiveGrid_1 = __importDefault(require("./ResponsiveGrid"));
const Panel = function (props) {
    const { id, visible, enabled, label, appliedCssClassNames } = props;
    return (react_1.default.createElement("div", { className: `cmp-container ${appliedCssClassNames || ''}`, id: id, "data-cmp-visible": visible, "data-cmp-enabled": enabled, "data-cmp-is": "adaptiveFormPanel" },
        react_1.default.createElement(LabelWithDescription_1.default, { bemBlock: 'cmp-container', label: label, id: id, tooltip: props.tooltip, description: props.description }),
        react_1.default.createElement("div", { className: props.gridClassNames || '' },
            react_1.default.createElement(ResponsiveGrid_1.default, { ...props }))));
};
exports.default = (0, withRuleEngine_1.withRuleEnginePanel)(Panel);
