"use strict";
// *******************************************************************************
//  * Copyright 2023 Adobe
//  *
//  * Licensed under the Apache License, Version 2.0 (the “License”);
//  * you may not use this file except in compliance with the License.
//  * You may obtain a copy of the License at
//  *
//  *     http://www.apache.org/licenses/LICENSE-2.0
//  *
//  * Unless required by applicable law or agreed to in writing, software
//  * distributed under the License is distributed on an “AS IS” BASIS,
//  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  * See the License for the specific language governing permissions and
//  * limitations under the License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
//  * The BEM markup is as per the AEM core form components guidelines.
//  * LINK- https://github.com/adobe/aem-core-forms-components/blob/master/ui.af.apps/src/main/content/jcr_root/apps/core/fd/components/form/text/v1/text/text.html
//  ******************************************************************************
const react_1 = __importDefault(require("react"));
const withRuleEngine_1 = require("../utils/withRuleEngine");
const PlainText = (props) => {
    const { value, id, visible } = props;
    return (react_1.default.createElement("div", { className: 'text base' },
        react_1.default.createElement("div", { "data-cmp-is": 'adaptiveFormText', id: id, className: 'cmp-adaptiveform-text', "data-cmp-visible": visible }, props?.richText ? (0, withRuleEngine_1.richTextString)(value) : value)));
};
exports.default = (0, withRuleEngine_1.withRuleEngine)(PlainText);
