"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const FieldWrapper_1 = __importDefault(require("./common/FieldWrapper"));
const withRuleEngine_1 = require("../utils/withRuleEngine");
const utils_1 = require("../utils/utils");
const TelephoneInput = (props) => {
    const { id, label, name, value, required, readOnly, visible, enabled, placeholder, appliedCssClassNames, valid, minLength, maxLength } = props;
    const handleChange = (0, react_1.useCallback)((event) => {
        const thisVal = event.target.value;
        props.dispatchChange(thisVal);
    }, [props.dispatchChange]);
    const handleBlur = (0, react_1.useCallback)((event) => {
        props.dispatchBlur(event.target.value);
    }, [props.dispatchBlur]);
    const handleFocus = (0, react_1.useCallback)(() => {
        props.dispatchFocus();
    }, [props.dispatchFocus]);
    return (react_1.default.createElement("div", { className: `cmp-adaptiveform-telephoneinput cmp-adaptiveform-telephoneinput--${value ? 'filled' : 'empty'} ${appliedCssClassNames || ''}`, "data-cmp-is": "adaptiveFormTelephoneInput", "data-cmp-visible": visible, "data-cmp-enabled": enabled, "data-cmp-required": required, "data-cmp-valid": valid },
        react_1.default.createElement(FieldWrapper_1.default, { bemBlock: 'cmp-adaptiveform-telephoneinput', label: label, id: id, tooltip: props.tooltip, description: props.description, isError: props.isError, errorMessage: props.errorMessage },
            react_1.default.createElement("input", { type: "tel", id: `${id}-widget`, className: 'cmp-adaptiveform-telephoneinput__widget', value: value || '', onChange: handleChange, onBlur: handleBlur, onFocus: handleFocus, required: required, placeholder: placeholder, readOnly: readOnly, disabled: !enabled, minLength: minLength, maxLength: maxLength, name: name, "aria-invalid": !valid, "aria-describedby": (0, utils_1.syncAriaDescribedBy)(id, props.tooltip, props.description, props.errorMessage) }))));
};
exports.default = (0, withRuleEngine_1.withRuleEngine)(TelephoneInput);
