"use strict";
// *******************************************************************************
//  * Copyright 2023 Adobe
//  *
//  * Licensed under the Apache License, Version 2.0 (the “License”);
//  * you may not use this file except in compliance with the License.
//  * You may obtain a copy of the License at
//  *
//  *     http://www.apache.org/licenses/LICENSE-2.0
//  *
//  * Unless required by applicable law or agreed to in writing, software
//  * distributed under the License is distributed on an “AS IS” BASIS,
//  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  * See the License for the specific language governing permissions and
//  * limitations under the License.
//  ******************************************************************************
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const Label_1 = __importDefault(require("./Label"));
const Description_1 = __importDefault(require("./Description"));
const LabelWithDescription = (props) => {
    const [showShortDescription, setShowShortDescription] = (0, react_1.useState)(true);
    const [showLongDescription, setShowLongDescription] = (0, react_1.useState)(false);
    const questionMarkHandler = (0, react_1.useCallback)((event) => {
        event.preventDefault();
        setShowShortDescription(!showShortDescription);
        setShowLongDescription(!showLongDescription);
    }, [showShortDescription, showLongDescription]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Label_1.default, { bemBlock: props.bemBlock, label: props.label, id: props.id, description: props.description, onClick: questionMarkHandler }),
        react_1.default.createElement(Description_1.default, { bemBlock: props.bemBlock, tooltip: props.tooltip, description: props.description, errorMessage: props.errorMessage, showShortDescription: showShortDescription, showLongDescription: showLongDescription })));
};
exports.default = LabelWithDescription;
