"use strict";
// *******************************************************************************
//  * Copyright 2023 Adobe
//  *
//  * Licensed under the Apache License, Version 2.0 (the “License”);
//  * you may not use this file except in compliance with the License.
//  * You may obtain a copy of the License at
//  *
//  *     http://www.apache.org/licenses/LICENSE-2.0
//  *
//  * Unless required by applicable law or agreed to in writing, software
//  * distributed under the License is distributed on an “AS IS” BASIS,
//  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  * See the License for the specific language governing permissions and
//  * limitations under the License.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
//  *  The BEM markup is as per the AEM core form components guidelines.
//  * LINK- https://github.com/adobe/aem-core-forms-components/blob/master/ui.af.apps/src/main/content/jcr_root/apps/core/fd/components/form/tabsontop/v1/tabsontop/tabsontop.html
//  ******************************************************************************
const react_1 = __importStar(require("react"));
const af_react_renderer_1 = require("@aemforms/af-react-renderer");
const withRuleEngine_1 = require("../../utils/withRuleEngine");
const LabelWithDescription_1 = __importDefault(require("../common/LabelWithDescription"));
const HorizontalTab = (props) => {
    // @ts-ignore
    const { mappings } = (0, react_1.useContext)(af_react_renderer_1.FormContext);
    const [activeTab, setActiveTab] = (0, react_1.useState)(0);
    const { items, label, id, visible, enabled, appliedCssClassNames } = props;
    const { v: visibleItems } = items.reduce(({ v }, item) => {
        const isVisible = item.visible === true;
        return {
            v: isVisible ? v.concat([item]) : v
        };
    }, { v: [] });
    const handleClick = (index) => {
        setActiveTab(index);
    };
    const getChild = (0, react_1.useCallback)((child, index) => {
        const Comp = (0, af_react_renderer_1.getRenderer)(child, mappings);
        return Comp ? react_1.default.createElement(Comp, { key: `${child.id}_${index}`, ...child }) : (null);
    }, []);
    return (react_1.default.createElement("div", { "data-cmp-is": "adaptiveFormTabs", id: id, className: `cmp-tabs ${appliedCssClassNames || ''}`, "data-placeholder-text": "false", "data-cmp-visible": visible, "data-cmp-enabled": enabled },
        react_1.default.createElement(LabelWithDescription_1.default, { bemBlock: 'cmp-tabs', label: label, id: id, tooltip: props.tooltip, description: props.description }),
        visibleItems.length > 0 && react_1.default.createElement("ol", { role: "tablist", className: "cmp-tabs__tablist", "aria-multiselectable": "false", id: `${id}-widget` }, visibleItems.map((item, index) => (react_1.default.createElement("li", { id: `${item?.id}__tab`, "aria-controls": `${item?.id}__tabpanel`, role: "tab", key: item?.id, onClick: () => handleClick(index), className: index === activeTab ? 'cmp-tabs__tab cmp-tabs__tab--active' : 'cmp-tabs__tab', "data-cmp-hook-adaptiveformtabs": "tab", "aria-selected": index === activeTab ? 'true' : 'false', tabIndex: index === activeTab ? 0 : -1 }, item.label?.value)))),
        visibleItems.length > 0 ?
            react_1.default.createElement("div", { id: `${visibleItems[activeTab].id}__tabpanel`, "data-cmp-hook-adaptiveformtabs": "tabpanel", className: activeTab === visibleItems[activeTab].index ? 'cmp-tabs__tabpanel cmp-tabs__tabpanel--active' : 'cmp-tabs__tabpanel', role: "tabpanel", tabIndex: 0, "aria-hidden": activeTab === visibleItems[activeTab].index ? 'false' : 'true', "aria-labelledby": `${visibleItems[activeTab].id}__tab` }, getChild(visibleItems[activeTab], activeTab)) : null));
};
exports.default = (0, withRuleEngine_1.withRuleEnginePanel)(HorizontalTab);
