"use strict";
// *******************************************************************************
//  * Copyright 2023 Adobe
//  *
//  * Licensed under the Apache License, Version 2.0 (the “License”);
//  * you may not use this file except in compliance with the License.
//  * You may obtain a copy of the License at
//  *
//  *     http://www.apache.org/licenses/LICENSE-2.0
//  *
//  * Unless required by applicable law or agreed to in writing, software
//  * distributed under the License is distributed on an “AS IS” BASIS,
//  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  * See the License for the specific language governing permissions and
//  * limitations under the License.
//  ******************************************************************************
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Button_1 = __importDefault(require("../components/Button"));
const CheckBox_1 = __importDefault(require("../components/CheckBox"));
const CheckBoxGroup_1 = __importDefault(require("../components/CheckBoxGroup"));
const DateInput_1 = __importDefault(require("../components/DateInput"));
const DropDown_1 = __importDefault(require("../components/DropDown"));
const NumberField_1 = __importDefault(require("../components/NumberField"));
const RadioButtonGroup_1 = __importDefault(require("../components/RadioButtonGroup"));
const TextField_1 = __importDefault(require("../components/TextField"));
const TextFieldArea_1 = __importDefault(require("../components/TextFieldArea"));
const FileUpload_1 = __importDefault(require("../components/FileUpload"));
const Panel_1 = __importDefault(require("../components/Panel"));
const Wizard_1 = __importDefault(require("../components/Wizard"));
const Accordion_1 = __importDefault(require("../components/Accordion/Accordion"));
const HorizontalTab_1 = __importDefault(require("../components/tabs/HorizontalTab"));
const Email_1 = __importDefault(require("../components/Email"));
const VerticalTab_1 = __importDefault(require("../components/tabs/VerticalTab"));
const Form_1 = __importDefault(require("../components/Form"));
const PlainText_1 = __importDefault(require("../components/PlainText"));
const TelephoneInput_1 = __importDefault(require("../components/TelephoneInput"));
const Switch_1 = __importDefault(require("../components/Switch"));
const ReCaptcha_1 = __importDefault(require("../components/ReCaptcha"));
const HCaptcha_1 = __importDefault(require("../components/HCaptcha"));
const Image_1 = __importDefault(require("../components/Image"));
const mappings = {
    'text-input': TextField_1.default,
    'checkbox-group': CheckBoxGroup_1.default,
    'radio-group': RadioButtonGroup_1.default,
    'drop-down': DropDown_1.default,
    'number-input': NumberField_1.default,
    'date-input': DateInput_1.default,
    button: Button_1.default,
    checkbox: CheckBox_1.default,
    'file-input': FileUpload_1.default,
    email: Email_1.default,
    'multiline-input': TextFieldArea_1.default,
    'core/fd/components/form/wizard/v1/wizard': Wizard_1.default,
    'core/fd/components/form/accordion/v1/accordion': Accordion_1.default,
    'core/fd/components/form/tabsontop/v1/tabsontop': HorizontalTab_1.default,
    'core/fd/components/form/verticaltabs/v1/verticaltabs': VerticalTab_1.default,
    'plain-text': PlainText_1.default,
    'core/fd/components/form/panelcontainer/v1/panelcontainer': Panel_1.default,
    panel: Panel_1.default,
    'core/fd/components/form/telephoneinput/v1/telephoneinput': TelephoneInput_1.default,
    'core/fd/components/form/switch/v1/switch': Switch_1.default,
    'core/fd/components/form/hcaptcha/v1/hcaptcha': HCaptcha_1.default,
    captcha: ReCaptcha_1.default,
    image: Image_1.default,
    form: Form_1.default
};
exports.default = mappings;
