import { FieldJson, State, FieldsetJson } from '@aemforms/af-core';
import { Handlers, WithViewState } from '@aemforms/af-react-renderer';
import React from 'react';
export type FieldViewState = WithViewState<FieldJson>;
export type PROPS = State<FieldJson & Handlers & {
    isError?: boolean;
    isInFocus?: boolean;
    layout?: {
        [key: string]: any;
    };
    richText?: boolean;
}>;
export type PROPS_PANEL = State<FieldsetJson> & {
    handlers: Handlers;
    activePanel?: string;
    toggle?: (id: string) => void | undefined;
    gridClassNames?: string;
    columnClassNames?: {
        [key: string]: any;
    };
    ':items'?: {
        [key: string]: any;
    };
    ':itemsOrder'?: [];
};
export type LABEL = {
    bemBlock: string;
    id: string;
    label?: {
        value: string;
        richText?: boolean;
        visible?: boolean;
    };
    description?: string;
    onClick?: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    onlyQuestionMark?: boolean;
};
export type DESCRIPTION = {
    id?: string;
    bemBlock: string;
    description?: string;
    showShortDescription?: boolean;
    tooltip?: string;
    showLongDescription?: boolean;
    errorMessage?: string;
};
export type FIELD_WRAPPER = LABEL & DESCRIPTION & {
    children?: React.ReactNode;
    isError?: boolean;
};
export type ITEM_PROPS = State<FieldJson> & {
    id: string;
};
