"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.syncAriaDescribedBy = exports.formatBytes = void 0;
const formatBytes = (bytes, decimals = 0) => {
    if (!+bytes) {
        return '0 Bytes';
    }
    const k = 1024;
    const dm = decimals < 0 ? 0 : decimals;
    const sizes = ['bytes', 'kb', 'mb', 'gb', 'tb', 'pb'];
    const i = Math.floor(Math.log(bytes) / Math.log(k));
    return `${parseFloat((bytes / Math.pow(k, i)).toFixed(dm))} ${sizes[i]}`;
};
exports.formatBytes = formatBytes;
const syncAriaDescribedBy = (id, tooltip, description, error) => {
    const descriptions = [];
    if (description) {
        descriptions.push(`${id}__longdescription`);
    }
    if (tooltip) {
        descriptions.push(`${id}__shortdescription`);
    }
    if (error) {
        descriptions.push(`${id}__errormessage`);
    }
    return descriptions.join(' ');
};
exports.syncAriaDescribedBy = syncAriaDescribedBy;
